OpenTTD

Public Member Functions | Data Fields
AfterNewGRFScan Struct Reference

Callback structure of statements to be executed after the NewGRF scan. More...

Inheritance diagram for AfterNewGRFScan:

## Public Member Functions
| AfterNewGRFScan (bool *save_config_ptr)
| Create a new callback. More...
virtual void | OnNewGRFsScanned ()
| Called whenever the NewGRF scan completed. More...
Public Member Functions inherited from NewGRFScanCallback
virtual | ~NewGRFScanCallback ()
| Make sure the right destructor gets called. More...

## Data Fields
Year | startyear
| The start year.
uint | generation_seed
| Seed for the new game.
char * | dedicated_host
| Hostname for the dedicated server.
uint16 | dedicated_port
| Port for the dedicated server.
char * | network_conn
| Information about the server to connect to, or NULL.
const char * | join_server_password
| The password to join the server with.
const char * | join_company_password
| The password to join the company with.
bool * | save_config_ptr
| The pointer to the save config setting.
bool | save_config
| The save config setting.

## Detailed Description

Callback structure of statements to be executed after the NewGRF scan.

Definition at line 386 of file openttd.cpp.

## Constructor & Destructor Documentation

## ◆ AfterNewGRFScan()

AfterNewGRFScan::AfterNewGRFScan | ( | bool * | save_config_ptr | ) |
| inline

Create a new callback.

Parameters

  save_config_ptr | Pointer to the save_config local variable which decides whether to save of exit or not.

Definition at line 402 of file openttd.cpp.

Referenced by openttd_main().

## Member Function Documentation

## ◆ OnNewGRFsScanned()

virtual void AfterNewGRFScan::OnNewGRFsScanned | ( |  | ) |
| inline virtual

Called whenever the NewGRF scan completed.

Implements NewGRFScanCallback.

Definition at line 410 of file openttd.cpp.

References _settings_client, TarScanner::DoScan(), ClientSettings::gui, Game::Initialize(), AI::Initialize(), GUISettings::last_newgrf_count, LoadFromConfig(), ResetGRFConfig(), TarScanner::SCENARIO, Game::Uninitialize(), AI::Uninitialize(), and UpdateNewGRFConfigPalette().

The documentation for this struct was generated from the following file:

- src/openttd.cpp